<?xml version="1.0" encoding="UTF-8"?>


<beans xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"

       xmlns="http://www.springframework.org/schema/beans"

       xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans-3.0.xsd">

    <import resource="classpath:config/app/cxf/cxf-config.xml"/>
    <import resource="jfwutils-beans.xml"/>


    <bean id="DataProvider" class="com.progressoft.mpay.PostgresDataProvider"/>

    <bean id="PostApproveTransactionConfig" class="com.progressoft.mpay.PostApproveTransactionConfig"/>

    <bean id="CalculateLoginExpirationTime"

          class="com.progressoft.mpay.networkmanagement.CalculateLoginExpirationTime"/>

    <bean id="PostProcess1810MpClearIntegMsg"
          class="com.progressoft.mpay.networkmanagement.PostProcess1810MpClearIntegMsg"/>

    <bean id="PreValidate1810MpClearIntegMsg"
          class="com.progressoft.mpay.networkmanagement.PreValidate1810MpClearIntegMsg"/>

    <bean id="PostCreateNetworkManagment" class="com.progressoft.mpay.networkmanagement.PostCreateNetworkManagment"/>

    <bean id="ValidatePSPDetailsCount" class="com.progressoft.mpay.psp.ValidatePSPDetailsCount"/>

    <bean id="PostApprovePSPDraftDetails" class="com.progressoft.mpay.psp.PostApprovePSPDraftDetails"/>

    <bean id="PostApproveChargesDetails" class="com.progressoft.mpay.charges.PostApproveChargesDetails"/>

    <bean id="PostApproveChargesScheme" class="com.progressoft.mpay.charges.PostApproveChargesScheme"/>

    <bean id="PostApproveLimitsScheme" class="com.progressoft.mpay.limits.PostApproveLimitsScheme"/>

    <bean id="PostCreateChargesScheme" class="com.progressoft.mpay.charges.PostCreateChargesScheme"/>

    <bean id="PostCreateLimitsScheme" class="com.progressoft.mpay.limits.PostCreateLimitsScheme"/>

    <bean id="PreDeleteChargesDetails" class="com.progressoft.mpay.charges.PreDeleteChargesDetails"/>

    <bean id="PreDeleteChargesScheme" class="com.progressoft.mpay.charges.PreDeleteChargesScheme"/>

    <bean id="PreDeleteLimitsScheme" class="com.progressoft.mpay.limits.PreDeleteLimitsScheme"/>

    <bean id="ValidateDeleteChargesScheme" class="com.progressoft.mpay.charges.ValidateDeleteChargesScheme"/>

    <bean id="ValidateDeleteLimitsScheme" class="com.progressoft.mpay.limits.ValidateDeleteLimitsScheme"/>

    <bean id="ValidateDeleteProfile" class="com.progressoft.mpay.profiles.ValidateDeleteProfile"/>

    <bean id="ValidateEditLimitsScheme" class="com.progressoft.mpay.limits.ValidateEditLimitsScheme"/>

    <bean id="ValidateSaveChargesDetails" class="com.progressoft.mpay.charges.ValidateSaveChargesDetails"/>

    <bean id="ValidateChargesSlice" class="com.progressoft.mpay.charges.ValidateChargesSlice"/>

    <bean id="PostCreateCustomer" class="com.progressoft.mpay.registration.customers.PostCreateCustomer"/>

    <bean id="PostDeleteCustomer" class="com.progressoft.mpay.registration.customers.PostDeleteCustomer"/>

    <bean id="PostCustomerRegistrationApproval"

          class="com.progressoft.mpay.registration.customers.PostCustomerRegistrationApproval"/>

    <bean id="PostApproveChangeAliasCustomerMobile"

          class="com.progressoft.mpay.registration.customers.PostApproveChangeAliasCustomerMobile"/>

    <bean id="PostApproveDeleteCustomerMobile"

          class="com.progressoft.mpay.registration.customers.PostApproveDeleteCustomerMobile"/>

    <bean id="PostCreateCustomerMobile" class="com.progressoft.mpay.registration.customers.PostCreateCustomerMobile"/>

    <bean id="ValidateCustomerMobile" class="com.progressoft.mpay.registration.customers.ValidateCustomerMobile"/>

    <bean id="PostProcess1710MpClearIntegMsg" class="com.progressoft.mpay.registration.PostProcess1710MpClearIntegMsg"/>

    <bean id="PreValidate1710MpClearIntegMsg" class="com.progressoft.mpay.registration.PreValidate1710MpClearIntegMsg"/>

    <bean id="PreParseMpClearInegMsgLog" class="com.progressoft.mpay.mpclearinteg.PreParseMpClearInegMsgLog"/>

    <bean id="Pre1700ValidationMpClearInegMsgLog"

          class="com.progressoft.mpay.registration.Pre1700ValidationMpClearInegMsgLog"/>

    <bean id="Post1700ProcessMpClearInegMsgLog"

          class="com.progressoft.mpay.registration.Post1700ProcessMpClearInegMsgLog"/>

    <bean id="Pre1710ValidationMpClearInegMsgLog"

          class="com.progressoft.mpay.registration.Pre1710ValidationMpClearInegMsgLog"/>

    <bean id="Post1710ProcessMpClearInegMsgLog"

          class="com.progressoft.mpay.registration.Post1710ProcessMpClearInegMsgLog"/>

    <bean id="Pre1800ValidationMpClearInegMsgLog"

          class="com.progressoft.mpay.networkmanagement.Pre1800ValidationMpClearInegMsgLog"/>

    <bean id="Post1800ProcessMpClearInegMsgLog"

          class="com.progressoft.mpay.networkmanagement.Post1800ProcessMpClearInegMsgLog"/>

    <bean id="Pre1810ValidationMpClearInegMsgLog"

          class="com.progressoft.mpay.networkmanagement.Pre1810ValidationMpClearInegMsgLog"/>

    <bean id="Post1810ProcessMpClearInegMsgLog"

          class="com.progressoft.mpay.networkmanagement.Post1810ProcessMpClearInegMsgLog"/>

    <bean id="PreRejectMpClearIntegMsgLog" class="com.progressoft.mpay.mpclearinteg.PreRejectMpClearIntegMsgLog"/>

    <bean id="SwitchAutoLogin" class="com.progressoft.mpay.networkmanagement.SwitchAutoLogin"/>

    <bean id="PostCorporateDeletionApproval"

          class="com.progressoft.mpay.registration.corporates.PostCorporateDeletionApproval"/>

    <bean id="PostCorporateServiceNewRegistration"

          class="com.progressoft.mpay.registration.corporates.PostCorporateServiceNewRegistration"/>

    <bean id="PreValidateCorp1710MpClearIntegMsg"

          class="com.progressoft.mpay.registration.PreValidateCorp1710MpClearIntegMsg"/>

    <bean id="PostProcessCorp1710MpClearIntegMsg"

          class="com.progressoft.mpay.registration.PostProcessCorp1710MpClearIntegMsg"/>

    <bean id="Post1700CorpProcessMpClearInegMsgLog"

          class="com.progressoft.mpay.registration.Post1700CorpProcessMpClearInegMsgLog"/>

    <bean id="Post1710CorpProcessMpClearInegMsgLog"

          class="com.progressoft.mpay.registration.Post1710CorpProcessMpClearInegMsgLog"/>

    <bean id="Pre1710CorpValidationMpClearInegMsgLog"

          class="com.progressoft.mpay.registration.Pre1710CorpValidationMpClearInegMsgLog"/>

    <bean id="Pre1710EvaluationMpClearInegMsgLog"

          class="com.progressoft.mpay.registration.Pre1710EvaluationMpClearInegMsgLog"/>

    <bean id="AcceptedCondition" class="com.progressoft.mpay.AcceptedCondition"/>

    <bean id="CheckProcessingCondition" class="com.progressoft.mpay.CheckProcessingCondition"/>

    <bean id="CheckInvalidCondition" class="com.progressoft.mpay.CheckInvalidCondition"/>

    <bean id="RejectedCondition" class="com.progressoft.mpay.RejectedCondition"/>

    <bean id="ValidatePSPExisted" class="com.progressoft.mpay.psp.ValidatePSPExisted"/>

    <bean id="AddPSPServices" class="com.progressoft.mpay.psp.AddPSPServices"/>

    <bean id="UpdatePSPServices" class="com.progressoft.mpay.psp.UpdatePSPServices"/>

    <bean id="DeletePSPServices" class="com.progressoft.mpay.psp.DeletePSPServices"/>

    <bean id="BankChangeHandler" class="com.progressoft.mpay.banks.BankChangeHandler"/>

    <bean id="CorporateServiceHandler" class="com.progressoft.mpay.registration.corporates.CorporateServiceHandler"/>

    <bean id="CustomerHandler" class="com.progressoft.mpay.registration.customers.CustomerHandler"/>

    <bean id="CustomerMobileHandler" class="com.progressoft.mpay.registration.customers.CustomerMobileHandler"/>

    <bean id="PSPsViewHandler" class="com.progressoft.mpay.psp.PSPsViewHandler"/>

    <bean id="PsMpclearViewHandler" class="com.progressoft.mpay.mpclear.PsMpclearViewHandler"/>

    <bean id="ProfilesCurrencyHandler" class="com.progressoft.mpay.profiles.ProfilesCurrencyHandler"/>

    <bean id="ChargesSchemeDetailsHandler" class="com.progressoft.mpay.charges.ChargesSchemeDetailsHandler"/>

    <bean id="ChargeTypeSlicesHandler" class="com.progressoft.mpay.charges.ChargeTypeSlicesHandler"/>

    <bean id="ChargeSlicesHandler" class="com.progressoft.mpay.charges.ChargeSlicesHandler"/>

    <bean id="ExternalChargeTypeSlicesHandler" class="com.progressoft.mpay.charges.ExternalChargeTypeSlicesHandler"/>

    <bean id="SystemConfigHandler" class="com.progressoft.mpay.SystemConfigHandler"/>

    <bean id="AddPSPServicesCondition" class="com.progressoft.mpay.psp.AddPSPServicesCondition"/>

    <bean id="AddPSPDetailsCondition" class="com.progressoft.mpay.psp.AddPSPDetailsCondition"/>

    <bean id="RegNotificationHeaderProvider"

          class="com.progressoft.mpay.registration.customers.RegNotificationHeaderProvider"/>

    <bean id="LookupsCache" class="com.progressoft.mpay.LookupsCache"/>

    <bean id="LookupsExceptionHandlerMessages" name="LookupsExceptionHandlerMessages"

          class="com.progressoft.mpay.LookupsExceptionHandlerMessages"/>

    <bean id="CustomerErrorHandler" name="CustomerErrorHandler"

          class="com.progressoft.mpay.registration.customers.CustomerErrorHandler"/>

    <bean id="CustomerMobileErrorHandler" name="CustomerMobileErrorHandler"

          class="com.progressoft.mpay.registration.customers.CustomerMobileErrorHandler"/>

    <bean id="CorporateServiceErrorHandler" name="CorporateServiceErrorHandler"

          class="com.progressoft.mpay.registration.corporates.CorporateServiceErrorHandler"/>

    <bean id="ValidateSystemLoggedIn" class="com.progressoft.mpay.registration.ValidateSystemLoggedIn"/>

    <bean id="ValidateOneSettlementBank" class="com.progressoft.mpay.banks.ValidateOneSettlementBank"/>

    <bean id="PostCustomerMobileRegistrationApproval"

          class="com.progressoft.mpay.registration.customers.PostCustomerMobileRegistrationApproval"/>

    <bean id="TransactionConfigErrorHandler" name="TransactionConfigErrorHandler"

          class="com.progressoft.mpay.TransactionConfigErrorHandler"/>

    <bean id="FlushCacheStores" class="com.progressoft.mpay.FlushCacheStores"/>

    <bean id="ValidateCustomerMobileAlias"

          class="com.progressoft.mpay.registration.customers.ValidateCustomerMobileAlias"/>

    <bean name="HandleProcessedInstruction" class="com.progressoft.mpay.registration.HandleProcessedInstruction"/>

    <bean name="HandleProcessedCorpInstruction"

          class="com.progressoft.mpay.registration.HandleProcessedCorpInstruction"/>

    <bean name="RegFileChangeHandler" class="com.progressoft.mpay.registration.RegFileChangeHandler"/>

    <bean name="listClientType" class="com.progressoft.mpay.valueprovider.ListClientType"/>

    <bean id="MessageSerializer" class="com.progressoft.mpay.MessageSerializer"/>

    <bean id="ValidatePSP" class="com.progressoft.mpay.networkmanagement.ValidatePSP"/>

    <bean id="ValidateBankMetaData" class="com.progressoft.mpay.banks.ValidateBankMetaData"/>

    <bean id="CustomerMobileBankedUnbankedChangeHandler"

          class="com.progressoft.mpay.registration.customers.CustomerMobileBankedUnbankedChangeHandler"/>

    <bean id="CorporateServiceBankedUnbankedChangeHandler"

          class="com.progressoft.mpay.registration.corporates.CorporateServiceBankedUnbankedChangeHandler"/>

    <bean id="PostResendMPClearRequest" class="com.progressoft.mpay.registration.PostResendMPClearRequest"/>

    <bean id="ValidateResendTime" class="com.progressoft.mpay.registration.ValidateResendTime"/>

    <bean id="CheckIfMobileBlocked" class="com.progressoft.mpay.registration.customers.CheckIfMobileBlocked"/>

    <bean id="DisplayAccountLimits" class="com.progressoft.mpay.registration.customers.DisplayAccountLimits"/>

    <bean id="CancelMPClearRequest" class="com.progressoft.mpay.registration.CancelMPClearRequest"/>

    <bean id="ReverseTransaction" class="com.progressoft.mpay.messages.ReverseTransaction"/>

    <bean id="AcceptTransaction" class="com.progressoft.mpay.messages.AcceptTransaction"/>

    <bean id="RejectTransaction" class="com.progressoft.mpay.messages.RejectTransaction"/>

    <bean id="ValidateResendMessage" class="com.progressoft.mpay.registration.ValidateResendMessage"/>

    <bean id="PostApproveLimits" class="com.progressoft.mpay.limits.PostApproveLimits"/>

    <bean id="CheckLimitSchemeModification" class="com.progressoft.mpay.limits.CheckLimitSchemeModification"/>

    <bean id="PostApproveMobileAccount" class="com.progressoft.mpay.registration.customers.PostApproveMobileAccount"/>

    <bean id="PostChangeMobileDefaultAccount"

          class="com.progressoft.mpay.registration.customers.PostChangeMobileDefaultAccount"/>

    <bean id="HandleMobileAccountEdit" class="com.progressoft.mpay.registration.customers.HandleMobileAccountEdit"/>

    <bean id="PreCreateMobileAccount" class="com.progressoft.mpay.registration.customers.PreCreateMobileAccount"/>


    <bean id="PostChangeMobileSwitchDefaultAccount"

          class="com.progressoft.mpay.registration.customers.PostChangeMobileSwitchDefaultAccount"/>

    <bean id="MobileAccountsViewChangeHandler"

          class="com.progressoft.mpay.registration.customers.MobileAccountsViewChangeHandler"/>

    <bean id="PostCreateServiceAccount" class="com.progressoft.mpay.registration.corporates.PostCreateServiceAccount"/>

    <bean id="PostSuspendServiceAccount"

          class="com.progressoft.mpay.registration.corporates.PostSuspendServiceAccount"/>

    <bean id="PostReactivateServiceAccount"

          class="com.progressoft.mpay.registration.corporates.PostReactivateServiceAccount"/>

    <bean id="ServiceAccountsViewChangeHandler"

          class="com.progressoft.mpay.registration.corporates.ServiceAccountsViewChangeHandler"/>

    <bean id="CheckIfDefaultAccount" class="com.progressoft.mpay.registration.CheckIfDefaultAccount"/>

    <bean id="CheckIfSwitchDefaultAccount" class="com.progressoft.mpay.registration.CheckIfSwitchDefaultAccount"/>

    <bean id="CheckLastAccount" class="com.progressoft.mpay.registration.CheckLastAccount"/>

    <bean id="PostDeleteMobileAccount" class="com.progressoft.mpay.registration.customers.PostDeleteMobileAccount"/>

    <bean id="PostSetMobileAccountSwitchDefaultApproval"

          class="com.progressoft.mpay.registration.customers.PostSetMobileAccountSwitchDefaultApproval"/>

    <bean id="PostDeleteServiceAccount" class="com.progressoft.mpay.registration.corporates.PostDeleteServiceAccount"/>

    <bean id="PostDeleteApproveServiceAccount"

          class="com.progressoft.mpay.registration.corporates.PostDeleteApproveServiceAccount"/>

    <bean id="UnblockDevice" class="com.progressoft.mpay.registration.UnblockDevice"/>

    <bean id="CheckIfTransactionReversed" class="com.progressoft.mpay.CheckIfTransactionReversed"/>

    <bean id="TenantsCustomValueProvider" class="com.progressoft.mpay.valueprovider.TenantsCustomValueProvider"/>

    <bean id="CheckIfDeviceBlocked" class="com.progressoft.mpay.registration.CheckIfDeviceBlocked"/>

    <bean id="CheckIfBankHasClients" class="com.progressoft.mpay.banks.CheckIfBankHasClients"/>

    <bean id="ValidateIsClientRegistered" class="com.progressoft.mpay.registration.ValidateIsClientRegistered"/>

    <bean id="ValidateCustomer" class="com.progressoft.mpay.registration.customers.ValidateCustomer"/>

    <bean id="PostApproveCustomer" class="com.progressoft.mpay.registration.customers.PostApproveCustomer"/>

    <bean id="PostApproveDeleteCustomer" class="com.progressoft.mpay.registration.customers.PostApproveDeleteCustomer"/>

    <bean id="ValidateIsAccountRegistered" class="com.progressoft.mpay.registration.ValidateIsAccountRegistered"/>

    <bean id="ValidateIsOwnerRegistered" class="com.progressoft.mpay.registration.ValidateIsOwnerRegistered"/>

    <bean id="PostApproveCustomerMobile" class="com.progressoft.mpay.registration.customers.PostApproveCustomerMobile"/>

    <bean id="PostDeleteMobileAccountMPClearApproval"

          class="com.progressoft.mpay.registration.customers.PostDeleteMobileAccountMPClearApproval"/>

    <bean id="PostDeleteCustomerMPClearApproval"

          class="com.progressoft.mpay.registration.customers.PostDeleteCustomerMPClearApproval"/>

    <bean id="PostRejectCustomer" class="com.progressoft.mpay.registration.customers.PostRejectCustomer"/>

    <bean id="PostRejectCustomerMobile" class="com.progressoft.mpay.registration.customers.PostRejectCustomerMobile"/>

    <bean id="ValidateMobileAccount" class="com.progressoft.mpay.registration.customers.ValidateMobileAccount"/>

    <bean id="HandleCustomerCancel" class="com.progressoft.mpay.registration.customers.HandleCustomerCancel"/>

    <bean id="PostSendCustomerToApproval"

          class="com.progressoft.mpay.registration.customers.PostSendCustomerToApproval"/>

    <bean id="PostCancelCustomerRejected"

          class="com.progressoft.mpay.registration.customers.PostCancelCustomerRejected"/>

    <bean id="PostCancelCustomerApproved"

          class="com.progressoft.mpay.registration.customers.PostCancelCustomerApproved"/>

    <bean id="PostSendCustomerMobileToApproval"

          class="com.progressoft.mpay.registration.customers.PostSendCustomerMobileToApproval"/>

    <bean id="PostCancelCustomerMobileRejected"

          class="com.progressoft.mpay.registration.customers.PostCancelCustomerMobileRejected"/>

    <bean id="PostCancelCustomerMobileApproved"

          class="com.progressoft.mpay.registration.customers.PostCancelCustomerMobileApproved"/>

    <bean id="PostDeleteCustomerMobile" class="com.progressoft.mpay.registration.customers.PostDeleteCustomerMobile"/>

    <bean id="CheckIfLastMobile" class="com.progressoft.mpay.registration.customers.CheckIfLastMobile"/>

    <bean id="CheckIfLastMobileAccount" class="com.progressoft.mpay.registration.customers.CheckIfLastMobileAccount"/>

    <bean id="ValidateDeleteMobileAccount"

          class="com.progressoft.mpay.registration.customers.ValidateDeleteMobileAccount"/>

    <bean id="HandleCustomerMobileDeletion"

          class="com.progressoft.mpay.registration.customers.HandleCustomerMobileDeletion"/>

    <bean id="PostMobileAccountRegistrationApproval"

          class="com.progressoft.mpay.registration.customers.PostMobileAccountRegistrationApproval"/>

    <bean id="HandleCustomerMobileCancel"

          class="com.progressoft.mpay.registration.customers.HandleCustomerMobileCancel"/>

    <bean id="HandleMobileAccountCancel" class="com.progressoft.mpay.registration.customers.HandleMobileAccountCancel"/>

    <bean id="PostApproveDeleteMobileAccount"

          class="com.progressoft.mpay.registration.customers.PostApproveDeleteMobileAccount"/>

    <bean id="HandleMobileAccountDeletion"

          class="com.progressoft.mpay.registration.customers.HandleMobileAccountDeletion"/>

    <bean id="PostApproveCustomerMobileSuspend"

          class="com.progressoft.mpay.registration.customers.PostApproveCustomerMobileSuspend"/>

    <bean id="PostApproveCustomerMobileReactivate"

          class="com.progressoft.mpay.registration.customers.PostApproveCustomerMobileReactivate"/>

    <bean id="UnblockMobile" class="com.progressoft.mpay.registration.customers.UnblockMobile"/>

    <bean id="PostCreateCorporate" class="com.progressoft.mpay.registration.corporates.PostCreateCorporate"/>

    <bean id="PostApproveCorporate" class="com.progressoft.mpay.registration.corporates.PostApproveCorporate"/>

    <bean id="PostRejectCorporate" class="com.progressoft.mpay.registration.corporates.PostRejectCorporate"/>

    <bean id="PostDeleteCorporate" class="com.progressoft.mpay.registration.corporates.PostDeleteCorporate"/>

    <bean id="HandleCorporateCancel" class="com.progressoft.mpay.registration.corporates.HandleCorporateCancel"/>

    <bean id="PostCorporateRegistrationApproval"

          class="com.progressoft.mpay.registration.corporates.PostCorporateRegistrationApproval"/>

    <bean id="PostDeleteCorporateMPClearApproval"

          class="com.progressoft.mpay.registration.corporates.PostDeleteCorporateMPClearApproval"/>

    <bean id="PostApproveDeleteCorporateService"

          class="com.progressoft.mpay.registration.corporates.PostApproveDeleteCorporateService"/>

    <bean id="PostSendCorporateToApproval"

          class="com.progressoft.mpay.registration.corporates.PostSendCorporateToApproval"/>

    <bean id="PostCancelCorporateRejected"

          class="com.progressoft.mpay.registration.corporates.PostCancelCorporateRejected"/>

    <bean id="PostCancelCorporateApproved"

          class="com.progressoft.mpay.registration.corporates.PostCancelCorporateApproved"/>

    <bean id="ValidateCorporateService" class="com.progressoft.mpay.registration.corporates.ValidateCorporateService"/>

    <bean id="PostCreateCorporateService"

          class="com.progressoft.mpay.registration.corporates.PostCreateCorporateService"/>

    <bean id="PostRejectCorporateService"

          class="com.progressoft.mpay.registration.corporates.PostRejectCorporateService"/>

    <bean id="PostApproveCorporateService"

          class="com.progressoft.mpay.registration.corporates.PostApproveCorporateService"/>

    <bean id="HandleCorporateServiceDeletion"

          class="com.progressoft.mpay.registration.corporates.HandleCorporateServiceDeletion"/>

    <bean id="HandleCorporateServiceCancel"

          class="com.progressoft.mpay.registration.corporates.HandleCorporateServiceCancel"/>

    <bean id="PostDeleteCorporateService"

          class="com.progressoft.mpay.registration.corporates.PostDeleteCorporateService"/>

    <bean id="PostCorporateServiceRegistrationApproval"

          class="com.progressoft.mpay.registration.corporates.PostCorporateServiceRegistrationApproval"/>

    <bean id="PostDeleteCorporateServiceMPClearApproval"

          class="com.progressoft.mpay.registration.corporates.PostDeleteCorporateServiceMPClearApproval"/>

    <bean id="PostSendCorporateServiceToDeleteApproval"

          class="com.progressoft.mpay.registration.corporates.PostSendCorporateServiceToDeleteApproval"/>

    <bean id="PostSendCorporateServiceToApproval"

          class="com.progressoft.mpay.registration.corporates.PostSendCorporateServiceToApproval"/>

    <bean id="PostCancelCorporateServiceRejected"

          class="com.progressoft.mpay.registration.corporates.PostCancelCorporateServiceRejected"/>

    <bean id="PostCancelCorporateServiceApproved"

          class="com.progressoft.mpay.registration.corporates.PostCancelCorporateServiceApproved"/>

    <bean id="ValidateCorporateServiceAlias"

          class="com.progressoft.mpay.registration.corporates.ValidateCorporateServiceAlias"/>

    <bean id="PostApproveChangeAliasCorporateService"

          class="com.progressoft.mpay.registration.corporates.PostApproveChangeAliasCorporateService"/>

    <bean id="PostApproveCorporateServiceSuspend"

          class="com.progressoft.mpay.registration.corporates.PostApproveCorporateServiceSuspend"/>

    <bean id="PostApproveCorporateServiceReactivate"

          class="com.progressoft.mpay.registration.corporates.PostApproveCorporateServiceReactivate"/>

    <bean id="CheckIfLastService" class="com.progressoft.mpay.registration.corporates.CheckIfLastService"/>

    <bean id="CheckIfServiceBlocked" class="com.progressoft.mpay.registration.corporates.CheckIfServiceBlocked"/>

    <bean id="UnblockService" class="com.progressoft.mpay.registration.corporates.UnblockService"/>

    <bean id="ValidateServiceAccount" class="com.progressoft.mpay.registration.corporates.ValidateServiceAccount"/>

    <bean id="PostApproveServiceAccount"

          class="com.progressoft.mpay.registration.corporates.PostApproveServiceAccount"/>

    <bean id="ValidateDeleteServiceAccount"

          class="com.progressoft.mpay.registration.corporates.ValidateDeleteServiceAccount"/>

    <bean id="HandleServiceAccountDeletion"

          class="com.progressoft.mpay.registration.corporates.HandleServiceAccountDeletion"/>

    <bean id="HandleServiceAccountCancel"

          class="com.progressoft.mpay.registration.corporates.HandleServiceAccountCancel"/>

    <bean id="PostDeleteServiceAccountMPClearApproval"

          class="com.progressoft.mpay.registration.corporates.PostDeleteServiceAccountMPClearApproval"/>

    <bean id="PostServiceAccountRegistrationApproval"

          class="com.progressoft.mpay.registration.corporates.PostServiceAccountRegistrationApproval"/>

    <bean id="PostApproveDeleteServiceAccount"

          class="com.progressoft.mpay.registration.corporates.PostApproveDeleteServiceAccount"/>

    <bean id="PostSetServiceAccountSwitchDefaultApproval"

          class="com.progressoft.mpay.registration.corporates.PostSetServiceAccountSwitchDefaultApproval"/>

    <bean id="PostChangeServiceDefaultAccount"

          class="com.progressoft.mpay.registration.corporates.PostChangeServiceDefaultAccount"/>

    <bean id="PostChangeServiceSwitchDefaultAccount"

          class="com.progressoft.mpay.registration.corporates.PostChangeServiceSwitchDefaultAccount"/>

    <bean id="CheckIfLastServiceAccount"

          class="com.progressoft.mpay.registration.corporates.CheckIfLastServiceAccount"/>

    <bean id="ValidateDeleteCustomer" class="com.progressoft.mpay.registration.customers.ValidateDeleteCustomer"/>

    <bean id="ValidateDeleteMobile" class="com.progressoft.mpay.registration.customers.ValidateDeleteMobile"/>

    <bean id="ValidateDeleteCorporate" class="com.progressoft.mpay.registration.corporates.ValidateDeleteCorporate"/>

    <bean id="ValidateDeleteService" class="com.progressoft.mpay.registration.corporates.ValidateDeleteService"/>

    <bean id="ValidateCorporate" class="com.progressoft.mpay.registration.corporates.ValidateCorporate"/>

    <bean id="CorporateHandler" class="com.progressoft.mpay.registration.corporates.CorporateHandler"/>

    <bean id="PostMobileAccountApproveDefaultApproval"

          class="com.progressoft.mpay.registration.customers.PostMobileAccountApproveDefaultApproval"/>

    <bean id="PostServiceAccountApproveDefaultApproval"

          class="com.progressoft.mpay.registration.corporates.PostServiceAccountApproveDefaultApproval"/>

    <bean id="PostApproveDeleteCorporate"

          class="com.progressoft.mpay.registration.corporates.PostApproveDeleteCorporate"/>

    <bean id="CheckIfOwnerModified" class="com.progressoft.mpay.registration.CheckIfOwnerModified"/>

    <bean id="CorporateServiceNotificationChannelsHandler"

          class="com.progressoft.mpay.registration.corporates.CorporateServiceNotificationChannelsHandler"/>

    <bean id="setCorporateDeviceFlagToFalse"

          class="com.progressoft.mpay.registration.corporates.SetCorporateDeviceFlagToFalse"/>

    <bean id="PostEditCustomer" class="com.progressoft.mpay.registration.customers.PostEditCustomer"/>

    <bean id="PostEditCustomerMobile" class="com.progressoft.mpay.registration.customers.PostEditCustomerMobile"/>

    <bean id="PostCancelChangeAlias" class="com.progressoft.mpay.registration.customers.PostCancelChangeAlias"/>

    <bean id="PostChangeCustomerMobileAlias"

          class="com.progressoft.mpay.registration.customers.PostChangeCustomerMobileAlias"/>

    <bean id="PostEditMobileAccount" class="com.progressoft.mpay.registration.customers.PostEditMobileAccount"/>

    <bean id="DisplayCustomerChanges" class="com.progressoft.mpay.registration.customers.DisplayCustomerChanges"/>

    <bean id="DisplayCustomerMobileChanges"

          class="com.progressoft.mpay.registration.customers.DisplayCustomerMobileChanges"/>

    <bean id="DisplayMobileAccountChanges"

          class="com.progressoft.mpay.registration.customers.DisplayMobileAccountChanges"/>

    <bean id="PostApproveCustomerSuspend"

          class="com.progressoft.mpay.registration.customers.PostApproveCustomerSuspend"/>

    <bean id="PostApproveCustomerReactivate"

          class="com.progressoft.mpay.registration.customers.PostApproveCustomerReactivate"/>

    <bean id="PostApproveMobileAccountSuspend"

          class="com.progressoft.mpay.registration.customers.PostApproveMobileAccountSuspend"/>

    <bean id="PostApproveMobileAccountReactivate"

          class="com.progressoft.mpay.registration.customers.PostApproveMobileAccountReactivate"/>

    <bean id="ValidateOwnerApproval" class="com.progressoft.mpay.registration.ValidateOwnerApproval"/>

    <bean id="EnableSendToApproval" class="com.progressoft.mpay.registration.EnableSendToApproval"/>

    <bean id="EnableShowChanges" class="com.progressoft.mpay.registration.EnableShowChanges"/>

    <bean id="EnableCustomerActions" class="com.progressoft.mpay.registration.customers.EnableCustomerActions"/>

    <bean id="EnableMobileActions" class="com.progressoft.mpay.registration.customers.EnableMobileActions"/>

    <bean id="EnableMobileDeletion" class="com.progressoft.mpay.registration.customers.EnableMobileDeletion"/>

    <bean id="DisplayCorporateChanges" class="com.progressoft.mpay.registration.corporates.DisplayCorporateChanges"/>

    <bean id="DisplayCorporateServiceChanges"

          class="com.progressoft.mpay.registration.corporates.DisplayCorporateServiceChanges"/>

    <bean id="DisplayServiceAccountChanges"

          class="com.progressoft.mpay.registration.corporates.DisplayServiceAccountChanges"/>

    <bean id="PostEditCorporate" class="com.progressoft.mpay.registration.corporates.PostEditCorporate"/>

    <bean id="PostApproveCorporateSuspend"

          class="com.progressoft.mpay.registration.corporates.PostApproveCorporateSuspend"/>

    <bean id="PostApproveCorporateReactivate"

          class="com.progressoft.mpay.registration.corporates.PostApproveCorporateReactivate"/>

    <bean id="EnableCorporateActions" class="com.progressoft.mpay.registration.corporates.EnableCorporateActions"/>

    <bean id="PostEditCorporateService" class="com.progressoft.mpay.registration.corporates.PostEditCorporateService"/>

    <bean id="EnableServiceActions" class="com.progressoft.mpay.registration.corporates.EnableServiceActions"/>

    <bean id="EnableServiceDeletion" class="com.progressoft.mpay.registration.corporates.EnableServiceDeletion"/>

    <bean id="PostEditServiceAccount" class="com.progressoft.mpay.registration.corporates.PostEditServiceAccount"/>

    <bean id="PostApproveServiceAccountSuspend"

          class="com.progressoft.mpay.registration.corporates.PostApproveServiceAccountSuspend"/>

    <bean id="PostApproveServiceAccountReactivate"

          class="com.progressoft.mpay.registration.corporates.PostApproveServiceAccountReactivate"/>

    <bean id="PostDeleteUnregisteredMobileAccount"

          class="com.progressoft.mpay.registration.customers.PostDeleteUnregisteredMobileAccount"/>

    <bean id="PostDeleteUnRegisteredCustomer"

          class="com.progressoft.mpay.registration.customers.PostDeleteUnRegisteredCustomer"/>

    <bean id="PostDeleteUnRegisteredCorporate"

          class="com.progressoft.mpay.registration.corporates.PostDeleteUnRegisteredCorporate"/>

    <bean id="PostDeleteUnRegisteredServiceAccount"

          class="com.progressoft.mpay.registration.corporates.PostDeleteUnRegisteredServiceAccount"/>

    <bean id="CorporateErrorHandler" class="com.progressoft.mpay.registration.corporates.CorporateErrorHandler"/>

    <bean id="SystemParameters" class="com.progressoft.mpay.SystemParameters"/>

    <bean id="LimitsSchemeHandler" class="com.progressoft.mpay.limits.LimitsSchemeHandler"/>

    <bean id="DisableActionWhenApproved" class="com.progressoft.mpay.limits.DisableActionWhenApproved"/>

    <bean id="ChargeSchemeHandler" class="com.progressoft.mpay.charges.ChargeSchemeHandler"/>

    <bean id="CashInChangeHandler" class="com.progressoft.mpay.payments.cashin.CashInChangeHandler"/>

    <bean id="PostCashInCalcuateCharge" class="com.progressoft.mpay.payments.cashin.PostCashInCalcuateCharge"/>

    <bean id="PostDeleteCash" class="com.progressoft.mpay.payments.PostDeleteCash"/>

    <bean id="ValidateCashInRequest" class="com.progressoft.mpay.payments.cashin.ValidateCashInRequest"/>

    <bean id="CashInIsChargeIncluded" class="com.progressoft.mpay.payments.cashin.CashInIsChargeIncluded"/>

    <bean id="MobileAccountCashInValueProvider"

          class="com.progressoft.mpay.payments.cashin.MobileAccountCashInValueProvider"/>

    <bean id="PostServiceCashInCalcuateCharge"

          class="com.progressoft.mpay.payments.cashin.PostServiceCashInCalcuateCharge"/>

    <bean id="ValidateServiceCashInRequest" class="com.progressoft.mpay.payments.cashin.ValidateServiceCashInRequest"/>

    <bean id="PostServiceCashInRequest" class="com.progressoft.mpay.payments.cashin.PostServiceCashInRequest"/>

    <bean id="ServiceCashInChangeHandler" class="com.progressoft.mpay.payments.cashin.ServiceCashInChangeHandler"/>

    <bean id="ServiceCashInIsChargeIncluded"

          class="com.progressoft.mpay.payments.cashin.ServiceCashInIsChargeIncluded"/>

    <bean id="ServiceAccountCashValueProvider"

          class="com.progressoft.mpay.payments.cashin.ServiceAccountCashValueProvider"/>

    <bean id="CashOutChangeHandler" class="com.progressoft.mpay.payments.cashout.CashOutChangeHandler"/>

    <bean id="CashOutIsChargeIncluded" class="com.progressoft.mpay.payments.cashout.CashOutIsChargeIncluded"/>

    <bean id="MobileAccountCashOutValueProvider"

          class="com.progressoft.mpay.payments.cashout.MobileAccountCashOutValueProvider"/>

    <bean id="PostCashOutCalcuateCharge" class="com.progressoft.mpay.payments.cashout.PostCashOutCalcuateCharge"/>

    <bean id="PostServiceCashOutCalcuateCharge"

          class="com.progressoft.mpay.payments.cashout.PostServiceCashOutCalcuateCharge"/>

    <bean id="PostServiceCashOutRequest" class="com.progressoft.mpay.payments.cashout.PostServiceCashOutRequest"/>

    <bean id="ServiceCashOutChangeHandler" class="com.progressoft.mpay.payments.cashout.ServiceCashOutChangeHandler"/>

    <bean id="ServiceCashOutIsChargeIncluded"

          class="com.progressoft.mpay.payments.cashout.ServiceCashOutIsChargeIncluded"/>

    <bean id="ValidateServiceCashOutRequest"

          class="com.progressoft.mpay.payments.cashout.ValidateServiceCashOutRequest"/>

    <bean id="ValidateCashOutRequest" class="com.progressoft.mpay.payments.cashout.ValidateCashOutRequest"/>

    <bean id="PostCreateRequestTypes" class="com.progressoft.mpay.requesttypes.PostCreateRequestTypes"/>

    <bean id="PostApproveRequestTypes" class="com.progressoft.mpay.requesttypes.PostApproveRequestTypes"/>

    <bean id="PostDeleteRequestTypes" class="com.progressoft.mpay.requesttypes.PostDeleteRequestTypes"/>

    <bean id="CreateBulkPaymentFileCreate"

          class="com.progressoft.mpay.bulkpayment.function.CreateBulkPayemntFileCreate"/>

    <bean id="CreateBulkRegistrationFileCreate"

          class="com.progressoft.mpay.bulkregistration.function.CreateBulkRegistrationFileCreate"/>

    <bean id="BeneficiaryChangeHandler" class="com.progressoft.mpay.registration.customers.BeneficiaryChangeHandler"/>

    <bean id="SetFieldRequiredChangeHandler"

          class="com.progressoft.mpay.registration.corporates.services.SetFieldRequiredChangeHandler"/>

    <bean id="PostCancelServiceChangeAlias"

          class="com.progressoft.mpay.registration.corporates.services.PostCancelServiceChangeAlias"/>

    <bean id="PostCorporateServiceChangeAlias"

          class="com.progressoft.mpay.registration.corporates.services.PostCorporateServiceChangeAlias"/>

    <bean id="ValidateEditMobileAccount" class="com.progressoft.mpay.registration.customers.ValidateEditMobileAccount"/>

    <bean id="ValidateEditServiceAccount"

          class="com.progressoft.mpay.registration.corporates.ValidateEditServiceAccount"/>

    <bean id="setCustomerDeviceFlagToFalse"

          class="com.progressoft.mpay.registration.customers.SetCustomerDeviceFlagToFalse"/>

    <bean id="PreChangeCorporateDeviceToStolen"

          class="com.progressoft.mpay.registration.corporates.PreChangeCorporateDeviceToStolen"/>

    <bean id="PreReactivateCorporateDevice"

          class="com.progressoft.mpay.registration.corporates.PreReactivateCorporateDevice"/>

    <bean id="PreChangeCustomerDeviceToStolen"

          class="com.progressoft.mpay.registration.customers.PreChangeCustomerDeviceToStolen"/>

    <bean id="PreReactivateCustomerDevice"

          class="com.progressoft.mpay.registration.customers.PreReactivateCustomerDevice"/>

    <bean id="CheckIfChargeInEditMode" class="com.progressoft.mpay.charges.CheckIfChargeInEditMode"/>

    <bean id="HideCustomerCreation" class="com.progressoft.mpay.bulkregistration.condition.HideCustomerCreation"/>

    <bean id="ValidateEditCorporateService"

          class="com.progressoft.mpay.registration.corporates.services.ValidateEditCorporateService"/>

    <bean id="ValidateEditCustomerMobile"

          class="com.progressoft.mpay.registration.customers.ValidateEditCustomerMobile"/>

    <bean id="BulkRegistrationProcessor"

          class="com.progressoft.mpay.plugins.bulkregistration.process.BulkRegistrationProcessor"/>

    <bean id="BulkPaymentProcessor" class="com.progressoft.mpay.plugins.bulkpayment.processor.BulkPaymentProcessor"/>

    <bean id="InitMpayCustomerMobileValuesImpl"

          class="com.progressoft.mpay.plugins.bulkregistration.usecase.impl.InitMpayCustomerMobileValuesImpl"/>

    <bean id="InitMpayCustomerValuesImpl"

          class="com.progressoft.mpay.plugins.bulkregistration.usecase.impl.InitMpayCustomerValuesImpl"/>

    <bean id="InitMpayMobileAccountValuesImpl"

          class="com.progressoft.mpay.plugins.bulkregistration.usecase.impl.InitMpayMobileAccountValuesImpl"/>

    <bean id="JPACurrentStepUseCaseImpl"

          class="com.progressoft.mpay.plugins.bulkregistration.usecase.impl.JPACurrentStepUseCaseImpl"/>

    <bean id="JPAWorkFlowEntryUsecaseImpl"

          class="com.progressoft.mpay.plugins.bulkregistration.usecase.impl.JPAWorkFlowEntryUsecaseImpl"/>

    <bean id="SystemAccountsSourceHandler" class="com.progressoft.mpay.payments.SystemAccountsSourceHandler"/>

    <bean id="SystemAccountsCashOutHandler" class="com.progressoft.mpay.payments.SystemAccountsCashOutHandler"/>

    <bean id="PostSystemAccountsCashOutRequest"

          class="com.progressoft.mpay.payments.cashout.PostSystemAccountsCashOutRequest"/>

    <bean id="PostCreateSystemAccountCashOut" class="com.progressoft.mpay.payments.PostCreateSystemAccountCashOut"/>

    <bean id="PostApproveGenericEntity" class="com.progressoft.mpay.PostApproveGenericEntity"/>

    <bean id="ValidateBankUsersLicense" class="com.progressoft.mpay.banks.ValidateBankUsersLicense"/>

    <bean id="PostCreateBankUser" class="com.progressoft.mpay.banks.PostCreateBankUser"/>

    <bean id="ValidateCreateSystemAccountsCashOut"
          class="com.progressoft.mpay.payments.cashout.ValidateCreateSystemAccountsCashOut"/>

    <bean id="ServiceTypeChangeHandler" class="com.progressoft.mpay.ServiceTypeChangeHandler"/>

    <bean id="PostCreateCommissionsScheme" class="com.progressoft.mpay.charges.PostCreateCommissionsScheme"/>

    <bean id="ValidateDeleteCommissionScheme" class="com.progressoft.mpay.charges.ValidateDeleteCommissionScheme"/>

    <bean id="PostApproveCommissionScheme" class="com.progressoft.mpay.charges.PostApproveCommissionScheme"/>

    <bean id="PreDeleteCommissionScheme" class="com.progressoft.mpay.charges.PreDeleteCommissionScheme"/>

    <bean id="PreDeleteCommissionDetails" class="com.progressoft.mpay.charges.PreDeleteCommissionDetails"/>

    <bean id="CheckIfCommissionInEditMode" class="com.progressoft.mpay.charges.CheckIfCommissionInEditMode"/>

    <bean id="PostApproveCommissionDetails" class="com.progressoft.mpay.charges.PostApproveCommissionDetails"/>

    <bean id="CheckIfTaxInEditMode" class="com.progressoft.mpay.tax.CheckIfTaxInEditMode"/>

    <bean id="PostApproveTaxDetails" class="com.progressoft.mpay.tax.PostApproveTaxDetails"/>

    <bean id="PostApproveTaxScheme" class="com.progressoft.mpay.tax.PostApproveTaxScheme"/>

    <bean id="PostCreateTaxScheme" class="com.progressoft.mpay.tax.PostCreateTaxScheme"/>

    <bean id="PreDeleteTaxDetails" class="com.progressoft.mpay.tax.PreDeleteTaxDetails"/>

    <bean id="PreDeleteTaxScheme" class="com.progressoft.mpay.tax.PreDeleteTaxScheme"/>

    <bean id="TaxSchemeHandler" class="com.progressoft.mpay.tax.TaxSchemeHandler"/>

    <bean id="TaxSlicesHandler" class="com.progressoft.mpay.tax.TaxSlicesHandler"/>

    <bean id="TaxTypeSlicesHandler" class="com.progressoft.mpay.tax.TaxTypeSlicesHandler"/>

    <bean id="ValidateDeleteTaxScheme" class="com.progressoft.mpay.tax.ValidateDeleteTaxScheme"/>

    <bean id="ValidateTaxSlice" class="com.progressoft.mpay.tax.ValidateTaxSlice"/>

    <bean id="PreCreatePSP" class="com.progressoft.mpay.psp.PreCreatePSP"/>
    <bean id="PostAcceptAmlCase" class="com.progressoft.mpay.registration.customers.PostAcceptAmlCase"/>
    <bean id="PostResendAmlCase" class="com.progressoft.mpay.registration.customers.PostResendAmlCase"/>
    <bean id="PostCreateGenericEntity" class="com.progressoft.mpay.PostCreateGenericEntity"/>
    <bean id="MobileOperatorValidator" class="com.progressoft.mpay.registration.customers.MobileOperatorValidator"/>
    <bean id="CheckIfPendingInwardTransaction" class="com.progressoft.mpay.messages.CheckIfPendingInwardTransaction"/>
    <bean id="commissionsProcessor" class="com.progressoft.mpay.commissions.DefaultCommissionsProcessor"/>

    <!--Spring CashIn/CashOut-->
    <bean id="PostCashOutRequest" class="com.progressoft.mpay.payments.cashout.PostCashOutRequestForSpring"/>
    <bean id="PostCashInRequest" class="com.progressoft.mpay.payments.cashin.PostCashInRequestForSpring"/>

    <!--Normal CashIn/CashOut-->
<!--    <bean id="PostCashOutRequest" class="com.progressoft.mpay.payments.cashout.PostCashOutRequest"/>-->
<!--    <bean id="PostCashInRequest" class="com.progressoft.mpay.payments.cashin.PostCashInRequest"/>-->
    <bean id="PostCreateCorporateDevice"
          class="com.progressoft.mpay.registration.corporates.PostCreateCorporateDevice"/>
    <bean id="PreCreateCorporateDevice" class="com.progressoft.mpay.registration.corporates.PreCreateCorporateDevice"/>
    <bean id="ServiceWalletTypeHandler" class="com.progressoft.mpay.registration.corporates.ServiceWalletTypeHandler"/>
    <bean id="postApproveQrCode" class="com.progressoft.mpay.qr.PostApproveQrCode"/>


</beans>


